;; theme file, written Mon Apr 23 17:46:22 2001
;; created by sawfish-themer -- DO NOT EDIT!

(require 'make-theme)

(let
    ((patterns-alist
      '(("title"
         (inactive . "#b45cb45cb45c")
         (focused . "#7fff8ccc9997"))
        ("buttons"
         (inactive . "#b45cb45cb45c")
         (focused . "#7f2d8c629997"))
        ("title fore"
         (inactive . "#7e0f7e0f7e0f")
         (focused . "#01f001f001f0"))
        ("buttons fore"
         (inactive . "#89b189b189b1")
         (focused . "#01f001f001f0"))))

     (frames-alist
      '(("typo"
         ((right-edge . 72)
          (left-edge . 18)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (top-edge . -18)
          (height . 18)
          (foreground . "title fore")
          (background . "title")
          (x-justify . center)
          (y-justify . center)
          (text . window-name)
          (class . title))
         ((font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (right-edge . 48)
          (width . 24)
          (foreground . "buttons fore")
          (height . 18)
          (background . "buttons")
          (y-justify . center)
          (top-edge . -18)
          (class . iconify-button)
          (x-justify . center)
          (text . "[ _ ]"))
         ((font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (right-edge . 0)
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (top-edge . -18)
          (height . 18)
          (x-justify . center)
          (text . "[ X ]")
          (width . 24)
          (class . close-button))
         ((right-edge . 24)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (height . 18)
          (top-edge . -18)
          (text . "[ ^ ]")
          (x-justify . center)
          (width . 24)
          (class . maximize-button))
         ((height . 18)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (left-edge . 0)
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (x-justify . center)
          (text . "[ = ]")
          (width . 24)
          (top-edge . -18)
          (class . menu-button))
         ((height . 10)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (right-edge . 0)
          (bottom-edge . 0)
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (x-justify . center)
          (text . "<=>")
          (width . 24)
          (class . bottom-right-corner)))
        ("typoshaded"
         ((font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (top-edge . -18)
          (left-edge . 18)
          (height . 18)
          (right-edge . 72)
          (foreground . "title fore")
          (background . "title")
          (x-justify . center)
          (y-justify . center)
          (text . window-name)
          (class . title))
         ((font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (right-edge . 48)
          (width . 24)
          (foreground . "buttons fore")
          (height . 18)
          (background . "buttons")
          (y-justify . center)
          (top-edge . -18)
          (class . iconify-button)
          (x-justify . center)
          (text . "[ _ ]"))
         ((right-edge . 0)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (top-edge . -18)
          (height . 18)
          (x-justify . center)
          (text . "[ X ]")
          (width . 24)
          (class . close-button))
         ((right-edge . 24)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (height . 18)
          (top-edge . -18)
          (text . "[ ^ ]")
          (x-justify . center)
          (width . 24)
          (class . maximize-button))
         ((height . 18)
          (font . "-b&h-lucida-medium-r-normal-*-*-100-*-*-p-*-*-*")
          (left-edge . 0)
          (foreground . "buttons fore")
          (background . "buttons")
          (y-justify . center)
          (x-justify . center)
          (text . "[ = ]")
          (width . 24)
          (top-edge . -18)
          (class . menu-button)))))

     (mapping-alist
      '((default . "typo")
        (transient . "typo")
        (shaped-transient . "typoshaded")
        (shaped . "typoshaded")))

     (theme-name 'typo))

  (add-frame-style
   theme-name (make-theme patterns-alist frames-alist mapping-alist))
  (when (boundp 'mark-frame-style-editable)
    (mark-frame-style-editable theme-name)))
